Subject: [mpls] TR: I-D ACTION:draft-leroux-mpls-p2mp-te-autoleaf-02.txt

From: "LE ROUX Jean-Louis RD-CORE-LAN" <[email-masked]>
Date: Fri, 27 Oct 2006 14:42:39 +0200

Hi all,

Find below a new version of the auto-leaf draft that defines IGP
extensions for automatic discovery of leaf LSRs.

Here are the major changes since last version:
-The scope of the Leaf Group has been extended. It now refers to a set
of LSRs, acting as leaves of a series of one or more P2MP LSPs. This is
to encompass the case where there are several ingress LSRs with same set
of leaf LSRs (e.g. TV broadcasting with several regional sources). 
-The motivations have been clarified.
-The TLV format has been modified so as to factorize the leaf address.
-Considerations on the number of Leaf Groups and the frequency of
changes have been added. It is recommended to implement rate limiting
and dampening mechanism so as to avoid any unnaceptable impact on the
IGP.
-The security section has been detailed.
-A new co-author joined the draft.
-Plus a few edits for the sake of clarity.

We are waiting for comments/feedbacks

Best Regards,

JL

> A New Internet-Draft is available from the on-line Internet-Drafts 
> directories.
> 
> 
> 	Title		: IGP Routing extensions for discovery of P2MP
> TE LSP Leaf LSRs
> 	Author(s)	: J. Le Roux, et al.
> 	Filename	: draft-leroux-mpls-p2mp-te-autoleaf-02.txt
> 	Pages		: 12
> 	Date		: 2006-10-22
> 	
> In various situations, such as TV broadcasting with several regional 
>    sources, it is required to setup a series of Point-To-MultiPoint 
>    (P2MP) Traffic Engineering Label Switched Paths (TE LSPs) between a
> 
>    set of head-end Label Switching Routers (LSRs) and a group of leaf 
>    LSRs referred to as a Leaf Group. Setting up such a series of P2MP
> TE 
>    LSPs requires for the set of head-end LSRs to be aware of all leaf 
>    LSRs, which may lead to the cumbersome configuration of a
> potentially 
> 
>    large number of leaf LSRs on each head-end LSRs. Furthermore leaf 
>    LSRs may want to dynamically join or leave a Leaf Group without 
>    requiring manual configuration on the head-end LSRs. This document 
>    specifies IGP routing extensions for IS-IS and OSPF so as to
> provide 
>    an automatic discovery of the set of leaf LSRs members of a Leaf 
>    Group, in order to automate the creation and modification of a
> series 
>    of P2MP TE-LSPs.
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-leroux-mpls-p2mp-te-autoleaf
> -02.txt
> 
> To remove yourself from the I-D Announcement list, send a message to 
> i-d-announce-request at ietf.org with the word unsubscribe in the body
> of 
> the message. 
> You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce
> 
> to change your subscription settings.
> 
> Internet-Drafts are also available by anonymous FTP. Login with the 
> username "anonymous" and a password of your e-mail address. After 
> logging in, type "cd internet-drafts" and then 
> "get draft-leroux-mpls-p2mp-te-autoleaf-02.txt".
> 
> A list of Internet-Drafts directories can be found in
> http://www.ietf.org/shadow.html 
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
> 
> Internet-Drafts can also be obtained by e-mail.
> 
> Send a message to:
> 	mailserv at ietf.org.
> In the body type:
> 	"FILE
> /internet-drafts/draft-leroux-mpls-p2mp-te-autoleaf-02.txt".
> 	
> NOTE:	The mail server at ietf.org can return the document in
> 	MIME-encoded form by using the "mpack" utility.  To use this
> 	feature, insert the command "ENCODING mime" before the "FILE"
> 	command.  To decode the response(s), you will need "munpack" or
> 	a MIME-compliant mail reader.  Different MIME-compliant mail
> readers
> 	exhibit different behavior, especially when dealing with
> 	"multipart" MIME messages (i.e. documents which have been split
> 	up into multiple messages), so check your local documentation on
> 	how to manipulate these messages.
> 
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.
> 
> <ftp://ftp.ietf.org/internet-drafts/draft-leroux-mpls-p2mp-te-autoleaf
> -02.txt>
> 
> ____
_______________________________________________
mpls mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mpls